summaryrefslogtreecommitdiffstats
path: root/centos
diff options
context:
space:
mode:
authorVsevolod Stakhov <vsevolod@highsecure.ru>2016-08-22 18:12:22 +0100
committerVsevolod Stakhov <vsevolod@highsecure.ru>2016-08-22 18:12:22 +0100
commit305de55ddaf9cd50e77dab247f433bf657f1c98d (patch)
treea016f6520784ab4b38b3beb9a208cc7d29ad85fc /centos
parent2a1876dd1c2e1e8df19a002f97d4cc2fc2216328 (diff)
downloadrspamd-305de55ddaf9cd50e77dab247f433bf657f1c98d.tar.gz
rspamd-305de55ddaf9cd50e77dab247f433bf657f1c98d.zip
Revert "Disable reload command in rc scripts"
This reverts commit 869af99b494d89e6d100657db4d5430cc6539f51.
Diffstat (limited to 'centos')
-rw-r--r--centos/sources/rspamd.init9
1 files changed, 8 insertions, 1 deletions
diff --git a/centos/sources/rspamd.init b/centos/sources/rspamd.init
index 633ed36be..ee3365b31 100644
--- a/centos/sources/rspamd.init
+++ b/centos/sources/rspamd.init
@@ -111,6 +111,13 @@ case "$1" in
restart|configtest)
$1
;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
status)
rh_status
;;
@@ -119,6 +126,6 @@ case "$1" in
restart
;;
*)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|configtest}"
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"
exit 2
esac